Modify

Opened 4 years ago

Closed 4 years ago

Last modified 3 years ago

#13249 closed defect (fixed)

Text displayed reverted in Notes dialog

Reported by: hjart Owned by: team
Priority: major Milestone: 16.07
Component: Core notes Version: latest
Keywords: template_report regression Cc:

Description (last modified by hjart)

What steps will reproduce the problem?

  1. In the Notes window, click the "Close note" button
  2. In the opened dialogue window, start typing

What is the expected result?

Quite normal readable left-to-right text

What happens instead?

The typed text is reversed as in

Please provide any additional information below. Attach a screenshot if possible.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-07-30 18:11:49 +0200 (Sat, 30 Jul 2016)
Build-Date:2016-07-31 01:51:41
Revision:10681
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10681 da) Linux openSUSE Leap 42.1 (x86_64)
Memory Usage: 632 MB / 1324 MB (371 MB allocated, but free)
Java version: 1.8.0_91-b14, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-8-jre:pakken openjdk-8-jre er ikke installeret
Dataset consistency test: No problems found

Plugins:
- DirectUpload (32329)
- FastDraw (32738)
- InfoMode (32491)
- Mapillary (32639)
- OpenStreetView (13)
- SimplifyArea (32517)
- apache-commons (32584)
- apache-http (32584)
- buildings_tools (32728)
- ejml (32639)
- geotools (32584)
- jts (32539)
- opendata (32584)
- reverter (32584)
- tagging-preset-tester (32584)
- todo (29154)
- utilsplugin2 (32725)
- wikipedia (32671)

Tagging presets:
- ${HOME}/Dokumenter/HjartsPresets.xml
- http://www.country-linedance.de/daten/Archaeologie-de.zip
- http://zibi.openstreetmap.org.pl/kendzi/k/Simple3dPreset/s3db-preset.zip
- https://josm.openstreetmap.de/josmfile?page=Presets/Camp_site_extends&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/OneClick&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Quick-highways&zip=1
- https://josm.openstreetmap.de/josmfile?page=Presets/Quick-stops&zip=1

Last errors/warnings:
- W: Kan ikke slette fil /tmp/Tiles/TMS.key
- W: Kan ikke slette fil /tmp/Tiles/TMS.data
- W: Kan ikke slette fil /tmp/Tiles/TMS.key
- W: Kan ikke slette fil /tmp/Tiles/TMS.data
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.todo.TodoDialog$SelectAction@41968dfc
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.todo.TodoDialog$AddAction@4f121010
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.todo.TodoDialog$PassAction@480b6871
- W: Old style SideButton usage for action org.openstreetmap.josm.plugins.todo.TodoDialog$MarkAction@109c638
- W: Kan ikke slette fil /tmp/Tiles/TMS.key
- W: Kan ikke slette fil /tmp/Tiles/TMS.data

Attachments (1)

Screenshot_20160731_074601.png (17.3 KB) - added by hjart 4 years ago.

Download all attachments as: .zip

Change History (9)

Changed 4 years ago by hjart

comment:1 Changed 4 years ago by hjart

Description: modified (diff)

comment:2 Changed 4 years ago by Don-vip

Keywords: javabug linux opensuse added
Summary: Is this a joke?Text displayed reverted in Notes dialog

Is it the only dialog where the bug occurs?

comment:3 Changed 4 years ago by Don-vip

Component: CoreCore notes

comment:4 Changed 4 years ago by hjart

I've done some work in JOSM today and didn't see it anywhere else than in the Notes dialogs (also happens when opening or commenting notes)

comment:5 Changed 4 years ago by bielebog

I can confirm this behaviour.

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-07-29 22:15:28 +0200 (Fri, 29 Jul 2016)
Build-Date:2016-07-30 01:49:10
Revision:10674
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10674 de) Linux Ubuntu 14.04.4 LTS
Memory Usage: 1517 MB / 1753 MB (1100 MB allocated, but free)
Java version: 1.8.0_91-8u91-b14-0ubuntu4~14.04-b14, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-8-jre:amd64-8u91-b14-0ubuntu4~14.04
VM arguments: [-Djosm.restart=true, -Djosm.home=<josm.pref>, -Djava.net.useSystemProxies=true]
Dataset consistency test: No problems found

comment:6 Changed 4 years ago by simon04

Resolution: fixed
Status: newclosed

In 10694/josm:

fix #13249 see #13236 - No not change caret position (for editable text areas)

Reverts r10665.

comment:7 Changed 4 years ago by simon04

Keywords: regression added
Milestone: 16.07

This is a regression of r10665.

comment:8 Changed 3 years ago by Don-vip

Keywords: javabug linux opensuse removed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.